Running Electric varies with the different platforms. Most systems also allow you to double-click on the .jar file.

If double-clicking doesn't work, try running it from the command-line by typing:

`java -jar electric.jar`

An alternate command-line is:

`java -classpath electric.jar com.sun.electric.Launcher`

There are a number of options that can be given at the end of the command line:

- `-mdi` force a multiple document interface style (where Electric is one big window with smaller edit windows in it).
- `-sdi` force a single document interface style (where each Electric window is separate). Note that the MDI/SDI settings can also be made from the Display Control Preferences (see Section 4-3).
- `-s <script>` run the <script> file through the Bean shell.
- `-batch` run in batch mode (no windows or other user interface are shown).
- `-version` provides full version information including build date.
- `-v` provides brief version information.
- `-NOMINMEM` ignore minimum memory requirements and start JVM.
- `-help` prints a list of available command options.